## Introduction 

OERhub is a meta-search engine for Open Educational Resources (OER), enabling centralized discovery of learning and teaching materials while ensuring data ownership remains with local institutional repositories. See https://oerhub.at/ .

OERhub-CE (Community Edition) is the open-source version, offering a customizable infrastructure for integrating repositories. 

## Tech Stack

- Ingester & Harvester: Perl
- Search Engine: OpenSearch
- Dashboards & Data Visualization: OpenSearch-Dashboard
- Messaging & Queueing: RabbitMQ
- Frontend-Client: Node.js, Vue.js, Nuxt, Tailwind CSS
- Frontend-Server: Node.js

## Key Features

- Metadata indexing and aggregation from decentralized repositories
- Open Interfaces for seamless system integration
- Compliance with FAIR Data principles & GDPR

## Services

[Services](architecture/architecture.png) are distributed as containers in a Docker Swarm across multiple nodes. The process of data collection, processing and is illustrated in the [workflow](workflow/workflow.png)

## License

[Apache 2.0](https://www.apache.org/licenses/LICENSE-2.0), [MIT](https://mit-license.org/), [GNU-GPG](https://opensource.org/license/gpl-3-0), [CC BY-NC-ND 4.0](https://creativecommons.org/licenses/by-nc-nd/4.0/)

## Get Involved 

To contribute directly, request an account via support.phaidra@univie.ac.at 

## Learn More 

- https://www.openeducation.at/
- https://oerhub.at/
